Update a click profile
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId}
Path Parameters
- clientIdinteger<int64>requiredDescriptionFormatint64
- clickProfileIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Form Parameters
- rulePatternstringDescription
- namestringrequiredDescription
- descriptionstringDescription
- ruleTypestring<REGEXP | WILDCARDS | NONE>DescriptionDefaultNONEAllowedREGEXPWILDCARDSNONE
Responses
200
- RestClickProfile
- idinteger<int64>DescriptionFormatint64
- namestringDescription
- descriptionstringDescription
- rulePatternstringDescription
- ruleTypestringDescription
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
- linksobject[]Description
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
400
404
409
curl
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId} \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'name=string' \
--data 'ruleType=NONE'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/x-www-form-urlencoded");
var urlencoded = new URLSearchParams();
urlencoded.append("name", "string");
urlencoded.append("ruleType", "NONE");
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: urlencoded,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/x-www-form-urlencoded"
request.body = "name=string&ruleType=NONE"
response = https.request(request)
puts response.read_body
python
import requests
url = "https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId}"
payload = 'name=string&ruleType=NONE'
headers = {
'accept': 'application/json',
'content-type': 'application/x-www-form-urlencoded'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// The click profile was updated successfully.
{
"id": "",
"name": "",
"description": "",
"rulePattern": "",
"ruleType": "",
"created": "",
"modified": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}400
// The request parameters are invalid.
404
// The click profile could not be found. Ensure that the required parameters such as "clickProfileId" are correct and the click profile exists.
409
// The click profile is not assigned to the client. Ensure that the required parameters such as "clientId" and "clickProfileId" are correct and the folder exists.